| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::HlmsDatablock Class Reference
Optional Components » HLMS

`#include <OgreHlmsDatablock.h>`

Inheritance diagram for Ogre::HlmsDatablock:
[legend]

## Public Member Functions
| HlmsDatablock (GpuProgramType type, PropertyMap *propertyMap)
void | addProfile (const String &profile)
uint32 | getHash ()
const String & | getLanguage ()
const StringVector & | getProfileList ()
PropertyMap * | getPropertyMap ()
GpuProgramType | getShaderType ()
ShaderTemplate * | getTemplate ()
void | setLanguage (const String &language)
void | setTemplateName (const String &tamplateName)

The documentation for this class was generated from the following file:

- OgreHlmsDatablock.h